#!/usr/bin/env python
# coding: utf-8
#
# Copyright © 2022 - Rennes Physics Institute
#
# This file is part of MsSpec-DFM.
#
# MsSpec-DFM is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# MsSpec-DFM is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with MsSpec-DFM.  If not, see <http://www.gnu.org/licenses/>.
#
# Source file  : src/python/msspec_dfm/cli.py
# Last modified: Fri, 25 Feb 2022 17:27:32 +0100
# Committed by : Sylvain Tricot <sylvain.tricot@univ-rennes1.fr> 1645806435 +0100

import argparse
import logging
from msspec_dfm.version import __version__


def main():
    parser = argparse.ArgumentParser(description="Compute the dielectric function")
    # The folder option is the default place where are the results
    parser.add_argument('--folder', default='./Results',
                        help='The default place where are stored the results..')


    parser.add_argument('--verbose', '-v', default=0, action='count',
                        help=('Increase verbosity output. Full verbosity'
                              ' for -vvv'))

    parser.add_argument('--version', action='store_true',
                        help=('Show the program version.'))

    args = parser.parse_args()

    # adjust the verbosity level
    verbosity_levels = [logging.ERROR, logging.WARNING, logging.INFO, logging.DEBUG]
    logging.basicConfig(level=verbosity_levels[min(args.verbose, len(verbosity_levels)-1)])

    if args.version:
        print(__version__)
        exit(0)
